Description: Fixed the build error
Author: haobinnan <haobinnan@gmail.com>
Last-Update: 2019-08-31

---
 src/inouts/inouts.c     | 4 +++-
 src/metadata/metadata.c | 4 +++-
 2 files changed, 6 insertions(+), 2 deletions(-)

diff --git a/src/inouts/inouts.c b/src/inouts/inouts.c
index 48b61d5..a26cc64 100644
--- a/src/inouts/inouts.c
+++ b/src/inouts/inouts.c
@@ -25,7 +25,9 @@
 #include "dislocker/inouts/inouts.priv.h"
 #include "dislocker/dislocker.priv.h"
 #include "dislocker/config.priv.h"
-#include <sys/mount.h>
+
+#include <sys/ioctl.h>
+#include <linux/fs.h>
 
 
 /**
diff --git a/src/metadata/metadata.c b/src/metadata/metadata.c
index c963e34..6eb8620 100644
--- a/src/metadata/metadata.c
+++ b/src/metadata/metadata.c
@@ -27,7 +27,9 @@
 #include "dislocker/metadata/metadata_config.h"
 #include "dislocker/metadata/print_metadata.h"
 #include "dislocker/dislocker.priv.h"
-#include <sys/mount.h>
+
+#include <sys/ioctl.h>
+#include <linux/fs.h>
 
 /*
  * On Darwin and FreeBSD, files are opened using 64 bits offsets/variables
-- 
2.17.1

